| Earth Observation Mission CFI Software Pointing Software User Manual for JAVA |

Public Member Functions

# EECFI.SatTransId Class Reference

Class for storing the Satellite Nominal Attitude configuration parameters. More...

Inheritance diagram for EECFI.SatTransId:

List of all members.

## Public Member Functions
| SatTransId ()
| Empty Class constructor.
native void | init (double[] angle) throws CfiError
| Initialise using angles.
native void | init (double[][] matrix) throws CfiError
| Initialise using matrix.
native void | init (long angleType, final Vector< Long > harmTypePitch, final Vector< Long > harmTypeRoll, final Vector< Long > harmTypeYaw, final Vector< Double > harmCoeffPitch, final Vector< Double > harmCoeffRoll, final Vector< Double > harmCoeffYaw) throws CfiError
| Initialise satellite orbital to satellite nominal attitude mispointing angles for a given satellite with harmonics.
native void | init (long inertialFrame, final Vector< AttRec > quaternions, double[][] matrix) throws CfiError
| Initialise using quaternions plus matrix.
native void | init (long inertialFrame, final Vector< AttRec > quaternions, double[] angles) throws CfiError
| Initialise using quaternions plus angles.
native void | init (final TimeCorrelation timeId, final Vector< String > files, String auxiliaryFile, long timeInitMode, long timeRef, double time0, double time1) throws CfiError
| Initialise satellite attitude angles for a given satellite reading values from the attitude files.
native MatrixModel | getMatrix () throws CfiError
| Get matrix parameters.
native void | setMatrix (final MatrixModel matrixModel) throws CfiError
| Change initialisation AOCS parameters from the object.
native AngleModel | getAngles () throws CfiError
| Get angles model.
native void | setAngles (final AngleModel angleModel) throws CfiError
| Change angles model.
native HarmonicModel | getHarmonic () throws CfiError
| Get harmonic parameters of object.
native void | setHarmonic (final HarmonicModel harmModel) throws CfiError
| Change harmonic parameters of the object.
native SatAttFileModel | getFile () throws CfiError
| Get file data of object.
native void | setFile (final SatAttFileModel fileModel) throws CfiError
| Change initialisation file data of the object.
native void | setAzElDefinition (final AzElDefinition azElDef) throws CfiError
| Set azimuth/elevation definition.
native QuatPlusMatrixModel | getQuatPlusMatrix () throws CfiError
| Get quaternions plus matrix model.
native void | setQuatPlusMatrix (final QuatPlusMatrixModel quatPlusMatrixModel) throws CfiError
| Change quaternions plus matrix model.
native QuatPlusAnglesModel | getQuatPlusAngles () throws CfiError
| Get quaternions plus angles model.
native void | setQuatPlusAngles (final QuatPlusAnglesModel quatPlusAnglesModel) throws CfiError
| Change quaternions plus angles model.
native SatId | satId ()
| Return satellite id.

## Detailed Description

Class for storing the Satellite Nominal Attitude configuration parameters.

## Constructor & Destructor Documentation

EECFI.SatTransId.SatTransId | ( |  | ) |

Empty Class constructor.

## Member Function Documentation

AngleModel EECFI.SatTransId::getAngles | ( |  | ) | throws CfiError

Get angles model.

Returns:
  Angle model data.

SatAttFileModel EECFI.SatTransId::getFile | ( |  | ) | throws CfiError

Get file data of object.

Returns:
  File model data.

HarmonicModel EECFI.SatTransId::getHarmonic | ( |  | ) | throws CfiError

Get harmonic parameters of object.

Returns:
  Harmonic model data.

MatrixModel EECFI.SatTransId::getMatrix | ( |  | ) | throws CfiError

Get matrix parameters.

Returns:
  Matrix model data.

QuatPlusAnglesModel EECFI.SatTransId::getQuatPlusAngles | ( |  | ) | throws CfiError

Get quaternions plus angles model.

Returns:
  Quaternion plus angles model data.

QuatPlusMatrixModel EECFI.SatTransId::getQuatPlusMatrix | ( |  | ) | throws CfiError

Get quaternions plus matrix model.

Returns:
  Quaternion plus matrix model data.

void EECFI.SatTransId::init | ( | final TimeCorrelation | timeId,
|  | final Vector< String > | files,
|  | String | auxiliaryFile,
|  | long | timeInitMode,
|  | long | timeRef,
|  | double | time0,
|  | double | time1 |
| ) |  |  | throws CfiError

Initialise satellite attitude angles for a given satellite reading values from the attitude files.

In order to read files, this method internally uses Data Handling functions.

Please refer to [D_H_SUM] for further details.

Parameters:

  | timeId | Time correlations.
  | files | Filenames of the reference data files. In case multiple files are used, the files should be time ordered. The supported Attitude File formats are the Generic Attitude File (described in [DAT_SUM]) and Star Tracker files. If multiple files are used, Generic Attitude Files and Star Tracker files cannot be given to the function as part of the same list. When using Star-Tracker files, the function assumes that all the input files belong to the same Star-Tracker. As a consequence of this assumption only the Star-Tracker identifier of the first file provided in the list is read. Note that the Star-Tracker identification number should be either 1, 2 or 3 (no internal check is performed).
  | auxiliaryFile | Auxiliary file with StarTracker misalignment matrices.
  | timeInitMode | Flag for selecting the time range of the initialisation (XPCFI_SEL_TIME/XPCFI_SEL_FILE).
  | timeRef | Time reference (TimeRefPointingEnum).
  | time0 | Start of the time range [Decimal days (Processing format)].
  | time1 | Stop of the time range [Decimal days (Processing format)].

void EECFI.SatTransId::init | ( | double | matrix[][] | ) | throws CfiError

Initialise using matrix.

Parameters:

  | matrix | Rotation matrix.

void EECFI.SatTransId::init | ( | long | angleType,
|  | final Vector< Long > | harmTypePitch,
|  | final Vector< Long > | harmTypeRoll,
|  | final Vector< Long > | harmTypeYaw,
|  | final Vector< Double > | harmCoefPitch,
|  | final Vector< Double > | harmCoefRoll,
|  | final Vector< Double > | harmCoefYaw |
| ) |  |  | throws CfiError

Initialise satellite orbital to satellite nominal attitude mispointing angles for a given satellite with harmonics.

The Attitude.compute and Attitude.changeFrame functions will then compute the values as follows:

Parameters:

  | angleType | Type of angle (given by PointingAngleTypeEnum).
  | harmTypePitch | Type of coefficients: 0= for the bias parameter <0 for the sinus coefficients (-n means that corresponds to the sinus coefficient of order n) >0 for the cosinus coefficients (-n means that corresponds to the cosinus coefficient of order n) .
  | harmTypeRoll | Type of coefficients (bias, sinus, cosinus, see documentation).
  | harmTypeYaw | Type of coefficients (bias, sinus, cosinus, see documentation).
  | harmCoefPitch | Bias, sinus and cosinus coefficients for the pitch angle.
  | harmCoefRoll | Bias, sinus and cosinus coefficients for the roll angle.
  | harmCoefYaw | Bias, sinus and cosinus coefficients for the yaw angle.

void EECFI.SatTransId::init | ( | double[] | angle | ) | throws CfiError

Initialise using angles.

Parameters:

  | angle | Rotation angles. [0]: Pitch mispointing angle (Satellite Nominal Attitude Frame) [deg]. Allowed range: If no better value, assume 0.0. [1]: Roll mispointing angle (Satellite Nominal Attitude Frame) [deg]. Allowed range: If no better value, assume 0.0. [2]: Yaw mispointing angle (Satellite Nominal Attitude Frame) [deg]. Allowed range: If no better value, assume 0.0. .

void EECFI.SatTransId::init | ( | long | inertialFrame,
|  | final Vector< AttRec > | quaternions,
|  | double | matrix[][] |
| ) |  |  | throws CfiError

Initialise using quaternions plus matrix.

Parameters:

  | inertialFrame | Inertial frame (CoordinateSystemsEnum).
  | quaternions | Quaternions that give the rotation from the inertial reference frame to the frame based on the satellite.
  | matrix | Rotation matrix from the frame based on the satellite to the satellite frame.

void EECFI.SatTransId::init | ( | long | inertialFrame,
|  | final Vector< AttRec > | quaternions,
|  | double[] | angles |
| ) |  |  | throws CfiError

Initialise using quaternions plus angles.

Parameters:

  | inertialFrame | Inertial frame (CoordinateSystemsEnum).
  | quaternions | Quaternions that give the rotation from the inertial reference frame to the frame based on the satellite.
  | angles | Angles that define the rotation from the frame based on the satellite to the satellite frame.

native SatId EECFI.SatTransId.satId | ( |  | ) |

Return satellite id.

void EECFI.SatTransId::setAngles | ( | final AngleModel | angleModel | ) | throws CfiError

Change angles model.

Parameters:

  | angleModel | Angle model data.

void EECFI.SatTransId::setAzElDefinition | ( | final AzElDefinition | azElDef | ) | throws CfiError

Set azimuth/elevation definition.

Parameters:

  | azElDef | Definition of azimuth and elevation.

void EECFI.SatTransId::setFile | ( | final SatAttFileModel | fileModel | ) | throws CfiError

Change initialisation file data of the object.

Parameters:

  | fileModel | File model data.

void EECFI.SatTransId::setHarmonic | ( | final HarmonicModel | harmModel | ) | throws CfiError

Change harmonic parameters of the object.

Parameters:

  | harmModel | Harmonic model data.

void EECFI.SatTransId::setMatrix | ( | final MatrixModel | matrixModel | ) | throws CfiError

Change initialisation AOCS parameters from the object.

Parameters:

  | matrixModel | Matrix model data.

void EECFI.SatTransId::setQuatPlusAngles | ( | final QuatPlusAnglesModel | quatPlusAng | ) | throws CfiError

Change quaternions plus angles model.

Parameters:

  | quatPlusAng | Quaternion plus angles model data.

void EECFI.SatTransId::setQuatPlusMatrix | ( | final QuatPlusMatrixModel | quatPlusMatrixModel | ) | throws CfiError

Change quaternions plus matrix model.

Parameters:

  | quatPlusMatrixModel | Quaternion plus matrix model data.